> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT Metadata

> Get the metadata of a specific NFT.



## OpenAPI

````yaml /reference/api-json.json get /nft/metadata
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /nft/metadata:
    get:
      tags:
        - NFT
      summary: Get NFT Metadata
      description: Get the metadata of a specific NFT.
      operationId: NFTMetadata
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            default: 1
            example: 1
            enum:
              - 1
              - 10
              - 100
              - 10143
              - 10200
              - 1088
              - 1101
              - 11011
              - 11124
              - 11155111
              - 11155420
              - 11235
              - 11297108099
              - 11297108109
              - 1135
              - 1284
              - 1285
              - 130
              - 1301
              - 1313161554
              - 1329
              - 137
              - 14
              - 1666600000
              - 167000
              - 167009
              - 168587773
              - 1868
              - 1946
              - 2020
              - 2442
              - 248
              - 25
              - 250
              - 2741
              - 288
              - 30
              - 300
              - 31
              - 321
              - 322
              - 324
              - 32769
              - 33101
              - 33111
              - 33139
              - 360
              - 369
              - 37111
              - 4002
              - 4202
              - 42161
              - 421614
              - 42170
              - 42220
              - 42261
              - 42262
              - 43113
              - 43114
              - 480
              - 4801
              - 50
              - 5000
              - 51
              - 534351
              - 534352
              - 5371
              - 5373
              - 54211
              - 545
              - 56
              - 59141
              - 59144
              - 61
              - 7000
              - 7001
              - 7332
              - 747
              - 7777777
              - 80002
              - 80094
              - 81457
              - 8453
              - 84532
              - 88882
              - 88888
              - 9001
              - 97
              - 999999999
              - solana
              - solana-devnet
              - stellar
              - stellar-testnet
              - toncoin
            type: string
        - name: contractAddress
          required: true
          in: query
          description: The address of the NFT collection to query.
          schema:
            default: '0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8'
            example: '0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8'
            type: string
        - name: tokenId
          required: false
          in: query
          description: >-
            The ID of the token. Required for EVM chains; optional/ignored for
            Solana.
          schema:
            type: string
            example: '1'
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - Alchemy
              - GoldRush
              - Moralis
              - Tatum
              - Shyft
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTMetadataResponse'
components:
  schemas:
    NFTMetadataResponse:
      type: object
      properties:
        contractAddress:
          type: string
          description: The contract address of the NFT.
          example: '0xb47e3cd837ddf8e4c57f05d70ab865de6e193bbb'
        contractType:
          type: string
          description: The type of the contract.
          example: ERC721
        metadata:
          type: object
          description: The normalized metadata of the NFT.
        rawMetadata:
          type: string
          description: The raw metadata of the NFT.
        lastUpdated:
          type: string
          description: The time when the metadata was last updated.
          example: '2023-05-24T18:14:06.556962246Z'
        contractMetadata:
          type: object
          description: The metadata of the contract.
      required:
        - contractAddress
        - contractType
        - metadata
        - rawMetadata
        - lastUpdated
        - contractMetadata
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````